import { sha1result } from './sha1/sha1.asm.js';
import { sha256result } from './sha256/sha256.asm.js';
import { sha512result } from './sha512/sha512.asm.js';
export declare abstract class Hash<T extends sha1result | sha256result | sha512result> {
    result: Uint8Array | null;
    pos: number;
    len: number;
    asm: T | undefined;
    heap: Uint8Array | undefined;
    BLOCK_SIZE: number;
    HASH_SIZE: number;
    abstract acquire_asm(): {
        heap: Uint8Array;
        asm: T;
    };
    abstract release_asm(): void;
    reset(): this;
    process(data: Uint8Array): this;
    finish(): this;
}
